import { LogLine } from "../types/public/logs.js";
import { AvailableModel, ClientOptions, ModelProvider } from "../types/public/model.js";
import { LLMClient } from "./LLMClient.js";
export declare function getAISDKLanguageModel(subProvider: string, subModelName: string, clientOptions?: ClientOptions): import("@ai-sdk/provider").LanguageModelV2;
export declare class LLMProvider {
    private logger;
    constructor(logger: (message: LogLine) => void);
    getClient(modelName: AvailableModel, clientOptions?: ClientOptions, options?: {
        experimental?: boolean;
        disableAPI?: boolean;
    }): LLMClient;
    static getModelProvider(modelName: AvailableModel): ModelProvider;
}
